> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction detail

> Get transaction detail: request parameters, response format and response codes.

> [!NOTE]
>
> * Deposit and withdrawal records are kept for 3 months.
> * This service supports transfer wallet members only.

## Path

```text theme={null}
GET {host}/api/v1.0/info/transactionDetail
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Token we provide</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`transactionId`</td><td>string</td><td>Yes</td><td>✓</td><td>Transaction ID</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v1/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.transactionId`</td><td>string</td><td>Transaction ID</td></tr>
    <tr><td>`data.status`</td><td>boolean</td><td>Transaction status (true: normal, false: abnormal)</td></tr>
    <tr><td>`data.channelId`</td><td>number</td><td>Channel ID</td></tr>
    <tr><td>`data.account`</td><td>string</td><td>Member account</td></tr>
    <tr><td>`data.currency`</td><td>string</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`data.amount`</td><td>number</td><td>Transfer amount</td></tr>
    <tr><td>`data.balanceBefore`</td><td>number</td><td>Wallet balance before the transfer</td></tr>
    <tr><td>`data.balanceAfter`</td><td>number</td><td>Wallet balance after the transfer</td></tr>
    <tr><td>`data.time`</td><td>string</td><td>Transfer time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v1/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "transactionId": "7524266853ebe08f9783dae0ac31ba97",
    "status": true,
    "channelId": 1,
    "account": "player001",
    "currency": "CNY",
    "amount": 99,
    "balanceBefore": 0,
    "balanceAfter": 99,
    "time": "2022-07-01T10:13:54.920+08:00"
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-01T10:13:54.920+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```

## Response codes

Besides the [common codes](https://doc.va777.net/en/v1/reference/response-codes.md), this API may also return:

| Code | Description |
| - | - |
| `103` | Request failed on our side |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.